/*
** felim.c
** Replace troff font definition (\fx)
** by troff string (\*x).
** Compile with: cc -Wall -o felim felim.c
*/

#if __GNUC__ >= 3 && __GNUC_MINOR__ >= 4 || __GNUC__ >= 4
#define	USED	__attribute__ ((used))
#elif defined __GNUC__
#define	USED	__attribute__ ((unused))
#else
#define	USED
#endif
static const char rcsid[] USED = "$Id: felim.c,v 0.2 2013/03/22 11:33:33 pj Exp $";

#include <stdio.h>

/*
** Read input stream,
** if \f is found print \*
** else, print stream.
*/
int
main(void)
{
	char c; 
	int slash=0;
	int vgrind=0;

	while( (c=getchar()) != EOF){

		/* skip between .vS and .vE */
		// look for .vS
		if( c=='\n' && vgrind==0)
			vgrind=1;
		else if( c=='.' && vgrind==1)
			vgrind=2;
		else if( c=='v' && vgrind==2)
			vgrind=3;
		else if( c=='S' && vgrind==3){
			vgrind=0;
			putchar(c);
			// skip until .vE
			while( (c=getchar()) != EOF){
				if( c=='\n' && vgrind==0)
					vgrind=1;
				else if( c=='.' && vgrind==1)
					vgrind=2;
				else if( c=='v' && vgrind==2)
					vgrind=3;
				else if( c=='E' && vgrind==3){
					vgrind=0;
					break;
				}
				else
					vgrind=0;
				putchar(c);
			}
		}
		else
			vgrind=0;

		/* look for font */
		if( c=='\\'){
			slash=1;
			putchar(c);
		}
		else if( c=='f' && slash==1){
			putchar('*');
			slash=0;
		}
		else {
			putchar(c);
			slash=0;
		}
	}
return 0;
}

